Capybara related environment load error #57

Closed
ncri opened this Issue Mar 7, 2012 · 0 comments

Projects

None yet

2 participants

@ncri
ncri commented Mar 7, 2012

I get an error doing bundle exec tconsole:

Error - Loading your environment failed: uninitialized constant Capybara::DSL::Session

It occurs in a file capybara.rb in my test folder where I load capybara stuff. The error is from the first line in that file:

require 'capybara/rails'

Partial stack trace:

/Users/nico/.rvm/gems/ruby-1.9.2-p290-railsexpress/gems/aws-s3-0.6.2/lib/aws/s3/extensions.rb:206:in `const_missing_from_s3_library'
    /Users/nico/.rvm/gems/ruby-1.9.2-p290-railsexpress/bundler/gems/capybara-c32f9a95f5da/lib/capybara/dsl.rb:158:in `<module:DSL>'
    /Users/nico/.rvm/gems/ruby-1.9.2-p290-railsexpress/bundler/gems/capybara-c32f9a95f5da/lib/capybara/dsl.rb:119:in `<module:Capybara>'
    /Users/nico/.rvm/gems/ruby-1.9.2-p290-railsexpress/bundler/gems/capybara-c32f9a95f5da/lib/capybara/dsl.rb:3:in `<top (required)>'
    /Users/nico/.rvm/gems/ruby-1.9.2-p290-railsexpress/bundler/gems/capybara-c32f9a95f5da/lib/capybara/rails.rb:2:in `<top (required)>'
    /Users/nico/Rails/yousty/test/capybara.rb:1:in `<top (required)>'
@commondream commondream closed this Dec 7, 2012
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment